Bug 1199197 - Comparing config files fails with "Fatal error in Python code occured [[6]]"
Summary: Comparing config files fails with "Fatal error in Python code occured [[6]]"
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: Clients
Version: 2.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matej Kollar
QA Contact: Red Hat Satellite QA List
URL:
Whiteboard:
Depends On:
Blocks: 1192069 space23
TreeView+ depends on / blocked
 
Reported: 2015-03-05 15:35 UTC by Matej Kollar
Modified: 2015-04-14 19:03 UTC (History)
8 users (show)

Fixed In Version: rhncfg-5.10.82-1
Doc Type: Bug Fix
Doc Text:
Clone Of: 1192069
Environment:
Last Closed: 2015-04-14 19:03:47 UTC


Attachments (Terms of Use)

Description Matej Kollar 2015-03-05 15:35:28 UTC
Description of problem:
config comparison fails with "Fatal error in Python code occured [[6]]"

How reproducible:

Steps to Reproduce:
1. Schedule config comparison with channel where there is a directory.
2. Run rhn-check on client.
3. Check up2date logs for any of the client and we have:
------
Traceback (most recent call last):
  File "/usr/sbin/rhn_check", line 342, in __run_action
    (status, message, data) = CheckCli.__do_call(method, params, kwargs)
  File "/usr/sbin/rhn_check", line 335, in __do_call
    retval = method(*params, **kwargs)
  File "/usr/share/rhn/actions/configfiles.py", line 342, in diff
    diff = fp.diff(file)
  File "/usr/share/rhn/config_common/file_utils.py", line 128, in diff
    temp_file, temp_dirs = self.process(file_struct)
  File "/usr/share/rhn/config_common/file_utils.py", line 48, in process
    fullpath = directory + file_struct['path']
<type 'exceptions.TypeError'>: unsupported operand type(s) for +: 'NoneType' and 'str'
------

Actual results:
Task fails with "Fatal error in Python code occurred [[6]]".

Expected results:
Task should complete successfully.

Additional info:

Issue was introduced with changes for Bug 1177656.

Notes for QA:

* To reproduce this you will need not only files in config channel,
  but also directories.
* Please check that following 3 things work:
  * compare configs (with directories)
  * deploy configs (with directories)
  * fetch config channel with "rhncfg-manager download-channel"
    (with directories).

Comment 1 Matej Kollar 2015-03-05 15:58:28 UTC
Spacewalk.git: 8908ef6a3825a79ea198d2de6e1db656eae17c42

Comment 2 Grant Gainey 2015-03-23 16:59:24 UTC
Moving bugs to ON_QA as we move to release Spacewalk 2.3

Comment 3 Grant Gainey 2015-04-14 19:03:47 UTC
Spacewalk 2.3 has been released. See

https://fedorahosted.org/spacewalk/wiki/ReleaseNotes23


Note You need to log in before you can comment on or make changes to this bug.